

<?php
include_once("../header.php");
      include_once("../php/config.php");
      $sql = mysql_query("select * from productos  where CONCAT(codigo,'',descripcion) like '%".$_POST['txt_buscar']."%'order by id_producto desc
   limit 5") or die(mysql_error());

   $sql2 = mysql_query("select id_producto from productos  order by id_producto desc
limit 1") or die(mysql_error());
$ultimo = @mysql_result($sql2,0,"id_producto")+1;
?>



<style>
  .form-control{
    font-size: 16px;
	font-weight:bolder;
  }


label{
    font-size: 18px;
  }
.nav{
  display: none;
}
td, th{
	font-size:12px;

}

body{
  background:#D2D2D2;
}

.container{
  background:white;
  padding: 15px;
}
</style>
    <div class="container">

 <hr>

		<div class="row">
			<div class="col-md-6 mt-2">



        <script type="text/javascript">
          function modalProducto(){
			    $("#frm").trigger('reset');
            $("#modalProducto").modal('show');


        }



        </script>


		      <form name="frm" action="" method="POST" id="frm">



        <div class="row mt-2">
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="hidden"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>

			   <div class="row">
          <div class="col-xs-2">Codigo</div>
          <div class="col-xs-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="codigo" name="codigo" value="<?php echo $ultimo;?>">
          </div>
        </div>

        <div class="row">
         <div class="col-xs-2">Nombre</div>
         <div class="col-xs-9">
           <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="nombre" name="nombre" value="">
         </div>
       </div>

       <div class="row">
        <div class="col-xs-2">Costo</div>
        <div class="col-xs-9">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="costo" name="costo" value="">
        </div>
       </div>


       <div class="row">
        <div class="col-xs-2">Precio</div>
        <div class="col-xs-9">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="precio" name="precio" value="">
        </div>
       </div>


       <div class="row">
        <div class="col-xs-2">Stock</div>
        <div class="col-xs-9">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="stock" name="stock" value="">
        </div>
       </div>





		  </form>





            <button class="btn btn-rojo" type="button" onclick="grabar_producto()" id="btngrabar"><i class="bi bi-download"></i> Actualizar producto</button>

  <button class="btn btn-secondary" type="button" onclick="window.location.href='productos2.php'" id="delete"><i class="bi bi-file"></i> Nuevo</button>
				<button class="btn btn-secondary" type="button" onclick="borrar()" id="delete"><i class="bi bi-trash"></i> Borrar</button>

            <button class="btn btn-secondary" data-dismiss="modal"> <i class="bi bi-arrow-clockwise"></i> Salir</button>
          </div>






      <div class="col-md-6 mt-2">
        <form action="" method="POST" id="frm">
          <div class="row">
            <div class="col-xs-2">Buscar</div>
            <div class="col-xs-10"><input type="text" class="form-control" id='txt_buscar' name='txt_buscar' placeholder='Buscar...'></div>
          </div>
          <br>
        <div class="table-responsive border p-3">

					<table class="table" data-page-length='100' style="width: 100%">


              <th>Descripcion</th>

              <th>Costo</th>
              <th>Precio </th>

			    <th>Existencia</th>
              <th>Editar</th>


						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
			<?php
			$c++;
			$costo+=$r["costo"] * $r["stock"];
      $id = $r["id_producto"];
			?>
							<tr>

								<td><a class="" href="#modalProducto" data-toggle="modal" onClick='ver(<?php echo $r["id_producto"]?>)'><i class="bi bi-stickies"></i> <?php echo $r["descripcion"]?></a></td>
                <td><?php echo @decimal($r["costo"])?></td>
                <td><?php echo @decimal($r["precio"])?></td>

				<td><?php echo $r["stock"]?></td>

               <td><a class="text-primary" href="#"  onClick='ver(<?php echo $r["id_producto"]?>)'><i class="bi bi-pen"></i> </a></td>


            </tr>
                                                        <?php }?>
						</tbody>
					</table>
        </form>
					<hr>
					<b>CANT. PRODCUTOS:</b> <?php echo $c;?> |
					 <b>COSTO DE INVENTARIO:</b> <?php echo @decimal($costo);?>
				</div>

      </div>
      </div>





        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
		$hoy = @date('Y-m-d');
		$fecha_a = date('Y-m-d', strtotime($hoy.  '+ 30 days'));

        ?>

<script>


function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;
                    $("#nombre").val(rs.data[i].descripcion);

                    $("#codigo").val(rs.data[i].codigo);

					                   $("#stock").val(rs.data[i].stock);

                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);

                  }

            })
        }




  function grabar_producto(){
			 var codigo=$("#codigo").val();
				var id = $("#id").val();
				if(id==""){
				var param = "codigo="+codigo;
				$.get("verificar_existe.php?"+param, function(data,st){
					if(st=="success"){
						if(data>0){
								alert("Hay un producto con este codigo")
						}else{
							grabar_producto2()
						}
					}
				})
			}else{
				grabar_producto2()
			}
  }

  function grabar_producto2(){
    ///// if(!confirm("Seguro(a) que desea registrar este producto?")){return;}

     var id_producto = $("#id").val()
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();


     var precio = $("#precio").val();

     var costo = $("#costo").val();
     var stock = $("#stock").val();

	 if(stock==""){stock=0;}

	 if(precio=="" || precio==0){precio=(costo * 30 /100) + parseFloat(costo);}

	$("#btngrabar").prop("disabled", true)

     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
    var sql="";
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";

            sql+=", stock='"+stock+"'";


        }else{

            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";

            sql+=", stock='"+stock+"'";

            sql+=" WHERE id_producto='"+id_producto+"'";

        }

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
	     window.location.reload();

      }else{
          alert(data);

      }

    })
}


function update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos){
	var stock2 = $("#stock2").val();
	var relacion = $("#relacion").val();
	var precio3 = $("#precio3").val();
	var precio4 = $("#precio4").val();
    var tipo_producto = $("#tipo_producto").val();
	var param = "costo="+costo+"&relacion="+relacion+"&codigo="+codigo+"&codigo2="+codigo2+"&stock2="+stock2+"&descripcion="+nombre+"&stock="+stock+"&precio1="+precio+"&precio2="+precio2+"&tipo_impuesto="+tipo_impuestos+"&tipo="+tipo_producto+"&precio3="+precio3+"&precio4="+precio4
	$.get("update_inventario.php?"+param, function(data,st){
		if(st=="success"){
			if(data=="1"){
                almacen()
            }
		}else{
			alert(data)
		}
	})
}

function fotoPage(){
	if(id_producto==""){
		alert("El producto debe estar registrado previamente para cambiar la foto");
		return;
	}


window.open('foto.php?id='+id_producto,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');



}

  function almacen(){
    if(id_producto==""){
     var relacion = $("#relacion").val();
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
    var codigo2 = $("#codigo2").val();
     var precio = $("#precio").val();
	 var precio2 = $("#precio2").val();
	 var precio3 = $("#precio3").val();
	var precio4 = $("#precio4").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
	 var stock2 = $("#stock2").val();
	 if(stock==""){stock=0;}
     var tipo_impuestos = $("#tipo_impuestos").val();
     var valor_impuestos = $("#valor_impuestos").val();
     var tipo_producto = $("#tipo_producto").val();

     var proveedor = $("#proveedor").val();
     var variedad = $("#variedad").val();
     if(precio2=="" || precio2==0){precio2=precio;}

    var sql="";

            sql="INSERT INTO inventario set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";
			sql+=", precio2='"+precio2+"'";
			sql+=", precio3='"+precio3+"'";
			sql+=", precio4='"+precio4+"'";
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", tipo='"+tipo_producto+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'";
			sql+=", almacen='"+myAlmacen+"'";
            //sql+=", proveedor='"+proveedor+"'";
            //sql+=", variedad='"+variedad+"'";
            sql+=", cantidad='"+stock+"'";
			sql+=", pxp='"+stock2+"'";
			sql+=", relacion_detalle='"+relacion+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){

        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)





      }else{
          alert(data);

      }

    })
	}else{
		noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
         window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)


	}
}



 function borrar(){

     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
     var codigo = $("#codigo").val();

    var sql="";
    sql="delete from productos where id_producto='"+id_producto+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
		borrar_inventario(codigo);
        ////setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}

 function borrar_inventario(codigo){


    var sql="";
    sql="delete from inventario where codigo='"+codigo+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Inventario actualizado","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";

        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}



$(".form-control").change(function(){
  impuestos()
})

function impuestos(){
  var precio = $("#precio").val();
  var tipo_impuestos = $("#tipo_impuestos").val();

  var it = parseFloat(precio)/parseFloat("1."+tipo_impuestos);
  var valor  = parseFloat(precio) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo_impuestos==""){valor=0}

  $("#valor_impuestos").val(valor.toFixed(3))
}



 ver_vencidos();
 function ver_vencidos(){
   var fecha_a = "<?php echo $fecha_a?>";
   var str="";


            var sql="select * from vencimiento where fecha<='"+fecha_a+"' and estatus!='Revisado'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){

                var rs = JSON.parse(data);

                for( var i in rs.data){
                    str+= rs.data[i].descripcion+"<br><span class='text-info'>Suplidor: "+rs.data[i].suplidor+"</span><br>Fecha vence("+rs.data[i].fecha+")<br> Cantidad:"+rs.data[i].cantidad+"<br>-------------------<br>";

                  }

				 $("#modalVencidos").modal('show');
				 $("#vencidos").html(str);

            })
        }

$("#txt_buscar").focus()

$("#txt_buscar").select()
$("#txt_buscar").on("keypress", function(){
  uniKeyCode(event);
})

////window.addEventListener("keydown",tecla,false);


 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}

	  }

}


function getVariedad(n){
    $.get("combo_categorias.php", function(data, st){
        if(st=="success"){
            $("#divCategoria").html(data);
            $("#variedad option[value='"+n+"']").prop('selected', true);

        }
    })

}

check_from()
function check_from(){
	var from_pos = "<?php echo $_GET['from_pos']?>";
	if(from_pos==1){
		modalProducto();
		hide_tipo('Fisico')
	}
}

 function barcode(){
    var param = "codigo="+$("#codigo").val()
     param += "&descripcion="+$("#nombre").val()
    param += "&precio="+$("#precio").val()

    window.open('../inventario/codigos.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');

  }
        </script>
